<?php

/**
 * @file
 * Typekit integration module admin functions.
 */

/**
 * Typekit module admin form.
 */
function typekit_integration_configure_form($form, &$form_state) {
  $form['typekit_integration_id'] = array(
    '#type' => 'textfield',
    '#title' => t('Kit ID'),
    '#description' => t('Enter your Adobe Typekit Kit ID. You can create a free account at <a href="https://typekit.com">https://typekit.com</a>'),
    '#default_value' => variable_get('typekit_integration_id'),
    '#size' => 10,
    '#maxlength' => 7,
    '#required' => TRUE,
  );

  return system_settings_form($form);
}

/**
 * Typekit admin form validation.
 */
function typekit_integration_configure_form_validate($form, &$form_state) {
  $api_key = $form_state['values']['typekit_integration_id'];
  $pattern = '/^[a-zA-Z0-9-_]+$/';

  if (!preg_match($pattern, $api_key)) {
    form_set_error('typekit_integration_id', t('Typekit ID should contain only letters and numbers'));
  }

  if (drupal_strlen($api_key) != 7) {
    form_set_error('typekit_integration_id', t('Typekit ID should be 7 characters long'));
  }
}
